@charset "utf-8";
.contact {
    flex-direction: column;
  }

.contact a {
  color:#333;
  border-radius: 5px;
  align-items: center;
  justify-content: flex-start;
  padding: 0px 12px;
  margin: 4px;
  border: none;
  font-size: .75em;
  font-weight: 600;
  background: var(--gray-off-white);
}

.contact a:hover {
   background: var(--color-6);
}

.contact a:hover span {
    color: var(--gray-off-white);
}

.contact img {
    width: 28px;
    padding: 8px 4px;
    margin-right: 4px;
}

@media screen and (max-width: 30em) {

  .contact span {
    width: 0px;
    overflow: hidden;
  }
  
  .contact {
    flex-direction: row;
  }
  
  .contact a {
    width: -webkit-fill-available;
  }

  .contact [href*=mailto]::after,
  .contact [href*=http]::after,
  .contact [href*=tel]::after {
    position: absolute;
    left: 45px;
    font-size: 1.2em;
  }

  .contact [href*=mailto]::after {
    content: "Mail";
  }

  .contact [href*=http]::after {
    content: "Web";
  }

  .contact [href*=tel]::after {
    content: "Call";
  }
}

@media screen and (max-width: 374px) {

  .contact a {
    justify-content: center;
  }
    
  .contact a img {
    margin: 0;
  }

  .contact [href*=mailto]::after,
  .contact [href*=http]::after,
  .contact [href*=tel]::after {
    content: "";
  }
}
